--- title: "changeServerInstanceName" slug: "compute-vserver-server-changeserverinstancename" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-changeserverinstancename" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeServerInstanceName Available in VPC Change the server instance name. The host name won't be changed. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/changeServerInstanceName | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `serverInstanceNo` | String | Required | Server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `serverName` | String | Required | Name of server to change to - Enter 3-40 characters using a combination of lowercase English letters, numbers, and the special character "-". (3-15 characters for a Windows Server). - The string must start with a lowercase English letter and end with a lowercase English letter or a number. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/changeServerInstanceName ?regionCode=KR &serverInstanceNo=*****8773 &serverName=ncp-test-**** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `changeServerInstanceNameResponse` | Object | - | Response result - See [ServerInstanceList](/docs/en/common-vapidatatype-serverinstancelist). | | `changeServerInstanceNameResponse.requestId` | String | - | ID for the request - UUID format | | `changeServerInstanceNameResponse.returnCode` | String | - | Response code | | `changeServerInstanceNameResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "changeServerInstanceNameResponse": { "totalRows": 1, "serverInstanceList": [ { "serverInstanceNo": "*****8773", "serverName": "test-***", "cpuCount": 2, "memorySize": 4294967296, "platformType": { "code": "UBD64", "codeName": "Ubuntu Desktop 64 Bit" }, "loginKeyName": "test-***", "publicIpInstanceNo": "*****8824", "publicIp": "211.188.***.***", "serverInstanceStatus": { "code": "RUN", "codeName": "Server RUN status" }, "serverInstanceOperation": { "code": "NULL", "codeName": "Server NULL OP" }, "serverInstanceStatusName": "running", "createDate": "2025-06-11T17:00:14+0900", "uptime": "2025-06-19T16:49:07+0900", "serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR24.G003", "serverProductCode": "SVR.VSVR.CPU.C002.M004.G003", "isProtectServerTermination": true, "zoneCode": "KR-1", "regionCode": "KR", "vpcNo": "***75", "subnetNo": "****36", "networkInterfaceNoList": [ "*****30" ], "serverInstanceType": { "code": "CPU", "codeName": "CPU-Intensive" }, "baseBlockStorageDiskType": { "code": "NET", "codeName": "Network storage" }, "baseBlockStorageDiskDetailType": { "code": "SSD", "codeName": "SSD" }, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "serverImageNo": "104630229", "serverSpecCode": "ci2-g3" } ], "requestId": "5efaee89-c118-4797-b759-b99bb117f245", "returnCode": "0", "returnMessage": "success" } } ```